<?php

 /**

* @package   JE Story Submit

* @copyright Copyright (C) 2009 - 2010 Open Source Matters. All rights reserved.

* @license   http://www.gnu.org/licenses/lgpl.html GNU/LGPL, see LICENSE.php

* Contact to : emailtohardik@gmail.com, joomextensions@gmail.com

* Visit : http://www.joomlaextensions.co.in/

**/ 



defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.model' );



class jesubmitModeljesubmit extends JModelLegacy

{

	var $_id = null;

	var $_data = null;

	var $_product = null; // product data

	var $_table_prefix = null;

	var $_template = null;

	

	function __construct()

	{

		parent::__construct();

		$this->_table_prefix = '#__jesubmit_';		

	  	$array = JRequest::getVar('cid',  0, '', 'array');

		$this->setId((int)$array[0]);

	}

	

	function setId($id)

	{

		$this->_id		= $id;

		$this->_data	= null;

	}



	function getData()

	{

		if ($this->_loadData())

		{

		} else  $this->_initData();



	   	return $this->_data;

	}

	

	function _loadData()

	{

		if (empty($this->_data))

		{

			$query = 'SELECT * FROM '.$this->_table_prefix.'jesubmit WHERE id = 1 ';

			$this->_db->setQuery($query);

			$this->_data = $this->_db->loadObject();

			return (boolean) $this->_data;

		}

		return true;

	}



	function _initData()

	{

		if (empty($this->_data))

		{

			$detail = new stdClass();

			$detail->id				= 0;

			$detail->title			= null;

			$detail->sectionid		= 0;

			$detail->catid			= 0;

			$detail->enabled		= 1;

			$detail->notify_email	= null;

			$detail->message		= null;

			$detail->notify			= 1;

			$detail->notify_message	= null;

			$detail->email_show		= 1;

			$detail->show_cat	 	= 1;

			$detail->category_id	= 0;

			$detail->fname			= null;

			$detail->img_path		= null;

			$detail->auto_publish	= 0;

			$detail->reg_publish	= 1;

			$detail->cap_enable		= 1;

			

			$detail->show_field_title	= 1;

			$detail->expage_url			= null;

			$detail->article_url		= 1;

			$detail->show_terms_cond	= 1;

			$detail->terms_condid		= 0;

			

			$this->_data		 		= $detail;

			

			return (boolean) $this->_data;

		}

		return true;

	}

  	

	function store($data)

	{	

 

		$row = $this->getTable('jesubmit');

		

		if (!$row->bind($data)) {

			$this->setError($this->_db->getErrorMsg());

			return false;

		}

		 

		if (!$row->store()) {

			$this->setError($this->_db->getErrorMsg());

			return false;

		}



		return true;

	}

	

	function getCategory()

	{

		$query = "SELECT a.id AS value, a.title AS text FROM #__categories AS a WHERE a.parent_id >0 AND extension = 'com_content' AND a.published IN (0,1) ORDER BY a.lft";

		return	$this->_getList( $query );

	}

	

	function getCheck1()

	{

		$db=  JFactory :: getDBO();

		$query = 'SELECT * FROM #__jesubmit_jesubmit';

		$db->setQuery( $query );

		$res=$db->loadObject();

		return $res;

	}

	// ==================================== Get Dynemic Fields ==================================== //	

	function getfields()

	{

		$db=  JFactory :: getDBO();

		$query = 'SELECT * FROM #__jesubmit_fields WHERE field_section=1 AND published=1';

		$db->setQuery( $query );

		return $db->loadObjectlist();

	}

	// ================================== EOF Get Dynemic Fields ================================== //



// ================================================ Recursive code for Category Listbox ===================================== //	

	function getchilds() {

			$db=  JFactory :: getDBO();	

			$query = "SELECT a.id AS value, a.title AS text FROM #__categories AS a WHERE a.parent_id =1 AND extension = 'com_content' AND a.published IN (0,1) ORDER BY a.lft";

			$db->setQuery($query);

			$db->query();

			$childs=$db->loadObjectList();

			

			for($i=0;$i<count($childs);$i++){

				$this->_cat_list[]= $childs[$i];

				$this->get_ddd($childs[$i]->value,0);

			}

			

			return $this->_cat_list;

			

	}

	

	function get_ddd($id="",$count){

		$count++;

		$db=  JFactory :: getDBO();	

		$query = "SELECT a.id AS value, a.title AS text FROM #__categories AS a WHERE a.parent_id =".$id." AND extension = 'com_content' AND a.published IN (0,1) ORDER BY a.lft";

		$db->setQuery($query);   

		$db->query();

		$per=$db->loadObjectList();

			

		for($i=0;$i<count($per);$i++){

			$des ='';

			for($k=0;$k<$count;$k++) {

				$des.=' - ';	

			}

			$per[$i]->text = $des.$per[$i]->text;

			$this->_cat_list[]= $per[$i];

			$this->get_ddd($per[$i]->value,$count);

		}

		

	}

// ============================================ EOF Recursive code for Category Listbox ===================================== //



	// ==================================== Get Dynemic Fields ==================================== //	

	function getarticles()

	{

		$db=  JFactory :: getDBO();

		$query = 'SELECT id AS value, title AS text FROM #__content WHERE state=1';

		$db->setQuery( $query );

		return $db->loadObjectlist();

	}

	// ================================== EOF Get Dynemic Fields ================================== //

}

?>